/* Generated file -- see details about generation at end of file */

signed signed int S_S;
signed short signed int Ss_S;
signed long signed int Sl_S;
signed long long signed int Sll_S;
unsigned signed int U_S;
unsigned short signed int Us_S;
unsigned long signed int Ul_S;
unsigned long long signed int Ull_S;
signed signed short int S_Ss;
signed short signed short int Ss_Ss;
signed long signed short int Sl_Ss;
signed long long signed short int Sll_Ss;
unsigned signed short int U_Ss;
unsigned short signed short int Us_Ss;
unsigned long signed short int Ul_Ss;
unsigned long long signed short int Ull_Ss;
signed signed long int S_Sl;
signed short signed long int Ss_Sl;
signed long signed long int Sl_Sl;
signed long long signed long int Sll_Sl;
unsigned signed long int U_Sl;
unsigned short signed long int Us_Sl;
unsigned long signed long int Ul_Sl;
unsigned long long signed long int Ull_Sl;
signed signed long long int S_Sll;
signed short signed long long int Ss_Sll;
signed long signed long long int Sl_Sll;
signed long long signed long long int Sll_Sll;
unsigned signed long long int U_Sll;
unsigned short signed long long int Us_Sll;
unsigned long signed long long int Ul_Sll;
unsigned long long signed long long int Ull_Sll;
signed unsigned int S_U;
signed short unsigned int Ss_U;
signed long unsigned int Sl_U;
signed long long unsigned int Sll_U;
unsigned unsigned int U_U;
unsigned short unsigned int Us_U;
unsigned long unsigned int Ul_U;
unsigned long long unsigned int Ull_U;
signed unsigned short int S_Us;
signed short unsigned short int Ss_Us;
signed long unsigned short int Sl_Us;
signed long long unsigned short int Sll_Us;
unsigned unsigned short int U_Us;
unsigned short unsigned short int Us_Us;
unsigned long unsigned short int Ul_Us;
unsigned long long unsigned short int Ull_Us;
signed unsigned long int S_Ul;
signed short unsigned long int Ss_Ul;
signed long unsigned long int Sl_Ul;
signed long long unsigned long int Sll_Ul;
unsigned unsigned long int U_Ul;
unsigned short unsigned long int Us_Ul;
unsigned long unsigned long int Ul_Ul;
unsigned long long unsigned long int Ull_Ul;
signed unsigned long long int S_Ull;
signed short unsigned long long int Ss_Ull;
signed long unsigned long long int Sl_Ull;
signed long long unsigned long long int Sll_Ull;
unsigned unsigned long long int U_Ull;
unsigned short unsigned long long int Us_Ull;
unsigned long unsigned long long int Ul_Ull;
unsigned long long unsigned long long int Ull_Ull;
signed signed char S_Sc;
signed short signed char Ss_Sc;
signed long signed char Sl_Sc;
signed long long signed char Sll_Sc;
unsigned signed char U_Sc;
unsigned short signed char Us_Sc;
unsigned long signed char Ul_Sc;
unsigned long long signed char Ull_Sc;
signed unsigned char S_Uc;
signed short unsigned char Ss_Uc;
signed long unsigned char Sl_Uc;
signed long long unsigned char Sll_Uc;
unsigned unsigned char U_Uc;
unsigned short unsigned char Us_Uc;
unsigned long unsigned char Ul_Uc;
unsigned long long unsigned char Ull_Uc;
signed double S_d;
signed short double Ss_d;
signed long double Sl_d;
signed long long double Sll_d;
unsigned double U_d;
unsigned short double Us_d;
unsigned long double Ul_d;
unsigned long long double Ull_d;
signed long double S_ld;
signed short long double Ss_ld;
signed long long double Sl_ld;
signed long long long double Sll_ld;
unsigned long double U_ld;
unsigned short long double Us_ld;
unsigned long long double Ul_ld;
unsigned long long long double Ull_ld;


/*

Generated by following shell script

#!/bin/bash

modifier_long[0]="signed"
modifier_long[1]="signed short"
modifier_long[2]="signed long"
modifier_long[3]="signed long long"
modifier_long[4]="unsigned"
modifier_long[5]="unsigned short"
modifier_long[6]="unsigned long"
modifier_long[7]="unsigned long long"

modifier_short[0]="S"
modifier_short[1]="Ss"
modifier_short[2]="Sl"
modifier_short[3]="Sll"
modifier_short[4]="U"
modifier_short[5]="Us"
modifier_short[6]="Ul"
modifier_short[7]="Ull"


dominant_long[0]="signed int"
dominant_long[1]="signed short int"
dominant_long[2]="signed long int"
dominant_long[3]="signed long long int"
dominant_long[4]="unsigned int"
dominant_long[5]="unsigned short int"
dominant_long[6]="unsigned long int"
dominant_long[7]="unsigned long long int"
dominant_long[8]="signed char"
dominant_long[9]="unsigned char"
dominant_long[10]="double"
dominant_long[11]="long double"

dominant_short[0]="S"
dominant_short[1]="Ss"
dominant_short[2]="Sl"
dominant_short[3]="Sll"
dominant_short[4]="U"
dominant_short[5]="Us"
dominant_short[6]="Ul"
dominant_short[7]="Ull"
dominant_short[8]="Sc"
dominant_short[9]="Uc"
dominant_short[10]="d"
dominant_short[11]="ld"

i=0
while [ $i -ne 12 ] ; do
  j=0
  while [ $j -ne 8 ] ; do
    echo "${modifier_long[$j]} ${dominant_long[$i]} ${modifier_short[$j]}_${dominant_short[$i]};"
    j=$((j+1))
  done

  i=$((i+1))
done

*/
